#!/bin/bash

device=/dev/blocksys
nops=1000000

if ! test -c $device
then
  echo "$0: Device $device not found, 'modprobe blocksys' may help" 1>&2
fi

if ! test -f /sys/devices/system/cpu/online
then
  echo $nops >$device
  exit 0
fi

for cpurange in `cat /sys/devices/system/cpu/online | tr ',' ' '`
do
  echo $cpurange
  seqs=`echo $cpurange | tr '-' '  '`
  for cpu in `seq $seqs`
  do
    taskset -c $cpu echo $nops >$device
  done
done
